<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.storlead.user.sms.mapper.SmsLogMapper">

    <!-- 通用查询映射结果 -->
    <resultMap id="BaseResultMap" extends="com.storlead.framework.mybatis.mapper.SysBaseFieldMapper.BaseResultMap" type="com.storlead.sms.pojo.entity.SmsLogEntity">
        <id column="sms_log_id" property="smsLogId" />
        <result column="user_id" property="userId" />
        <result column="mobile" property="mobile" />
        <result column="verify_code" property="verifyCode" />
        <result column="message" property="message" />
        <result column="status" property="status" />
        <result column="type" property="type" />
        <result column="send_time" property="sendTime" />
        <result column="valid_time" property="validTime" />
    </resultMap>

    <!-- 通用查询结果列 -->
    <sql id="Base_Column_List">
        id, user_id, mobile, verify_code, message, `type` ,status, send_time, valid_time, <include refid="com.storlead.framework.mybatis.mapper.SysBaseFieldMapper.Base_Column_List"></include>
    </sql>

</mapper>
